# https://qiita.com/tobi50/items/b46221988f0debb214cb
FROM mcr.microsoft.com/windows/servercore:ltsc2019

ADD https://aka.ms/vs/16/release/vc_redist.x64.exe /build/vc_redist.x64.exe
ADD https://windows.php.net/downloads/releases/php-7.4.9-Win32-vc15-x64.zip php.zip
ADD https://www.apachelounge.com/download/VS16/binaries/httpd-2.4.46-win64-VS16.zip apache.zip

ADD http://ftp.gnu.org/gnu/emacs/windows/emacs-26/emacs-26.3-x86_64.zip emacs.zip
RUN powershell -command Expand-Archive -Path c:\emacs.zip -DestinationPath C:\emacs
RUN setx PATH /M %PATH%;C:\emacs\bin

ENV PHP C:\\php
RUN powershell -command Expand-Archive -Path c:\php.zip -DestinationPath C:\php ; \
    Remove-Item c:/php.zip -Force ;
RUN setx PATH /M %PATH%;C:\php
ADD ./php /php/

RUN start /w C:\build\vc_redist.x64 /q /norestart

RUN powershell -command \
    Expand-Archive -Path c:/apache.zip -DestinationPath c:/Apache24_unzip ; \
    Move-Item -Path C:/Apache24_unzip/Apache24 -Destination C:/Apache24 ; \
    Remove-Item c:/apache.zip -Force ; \
    Remove-Item C:/Apache24_unzip -Recurse -Force
RUN setx path %PATH%;C:\Apache24\bin
ADD ./apache24 /apache24/



RUN httpd -k install
RUN httpd -k restart
